%define 	xmmsinputplugindir	%(xmms-config --input-plugin-dir 2>/dev/null)

Summary: 	An Advanced Audio Decoder.
Name: 		faad2
Version: 	2.0
Release: 	0.%{mysig}
License: 	GPL
Group: 		System Environment/Libraries
URL: 		http://faac.sourceforge.net/
Source0: 	http://download.sourceforge.net/faac/%{name}-%{version}.tar.gz
Patch0:		faad2-2.0-Makefile.am-separator.patch
Patch1:		faad2-2.0-gcc34-build-fix.patch
Patch2:		faad2-2.0-gcc4.patch
BuildRoot: 	%{_tmppath}/%{name}-%{version}-%{release}-buildroot
BuildRequires:	id3lib-devel xmms-devel gtk+-devel
BuildRequires:	autoconf automake libtool libstdc++-devel

%package devel
Summary:	Development files for the faad library
Group:		Development/Libraries
Requires:	%{name} = %{version}-%{release}

%package -n xmms-%{name}
Summary:	Faad2 XMMS Input Plugin
Group:		Applications/Multimedia
Requires:	%{name} = %{version}-%{release}
Requires:	xmms = %(rpm -q --qf='%%{epoch}:%%{version}' xmms-devel)
Provides:	xmms-aac = %{version}-%{release}

# --------------------------------------------------------------------

%description
FAAD is an Advanced Audio Decoder (MPEG2-AAC, MPEG4-AAC). 

%description devel
FAAD is an Advanced Audio Decoder (MPEG2-AAC, MPEG4-AAC). 
This package contains development files for the FAAD.

%description -n xmms-%{name}
FAAD is an Advanced Audio Decoder (MPEG2-AAC, MPEG4-AAC). 
This package contains an input plugin for xmms.

# --------------------------------------------------------------------

%prep
%setup -q -n %{name}
%patch0 -p0 -b .separator
%patch1 -p0 -b .gcc34
%patch2 -p0 -b .gcc4

# --------------------------------------------------------------------

%build
sh ./bootstrap
%configure --with-xmms --with-mp4v2
make %{?_smp_mflags}

# --------------------------------------------------------------------

%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT

rm -rf $RPM_BUILD_ROOT%{xmmsinputplugindir}/*.{la,a} $RPM_BUILD_ROOT%{_libdir}/lib*.la
install -g root -o root -m 644 common/mp4ff/drms.h $RPM_BUILD_ROOT%{_includedir}
install -g root -o root -m 644 common/mp4ff/drmstables.h $RPM_BUILD_ROOT%{_includedir}
install -g root -o root -m 644 common/mp4ff/mp4ffint.h $RPM_BUILD_ROOT%{_includedir}
install -g root -o root -m 644 common/mp4ff/mp4ff_int_types.h $RPM_BUILD_ROOT%{_includedir}

# --------------------------------------------------------------------

%clean
rm -rf $RPM_BUILD_ROOT

# --------------------------------------------------------------------

%post -p /sbin/ldconfig
%postun -p /sbin/ldconfig

%files
%defattr(-,root,root,-)
%doc COPYING AUTHORS NEWS README TODO ChangeLog
%{_bindir}/faad
%{_libdir}/libfaad.so.*
%{_libdir}/libmp4v2.so.*
%{_libdir}/libmp4ff.so.*

%files devel
%defattr(-,root,root,-)
%{_includedir}/faad.h
%{_includedir}/mp4.h
%{_includedir}/mp4ff.h
%{_includedir}/mpeg4ip.h
%{_includedir}/systems.h
%{_includedir}/mp4ff_int_types.h
%{_includedir}/mp4ffint.h
%{_includedir}/drms.h
%{_includedir}/drmstables.h
%{_libdir}/libfaad.a
%{_libdir}/libfaad.so
%{_libdir}/libmp4v2.a
%{_libdir}/libmp4v2.so
%{_libdir}/libmp4ff.a
%{_libdir}/libmp4ff.so

%files -n xmms-%{name}
%defattr(-,root,root,-)
%doc plugins/xmms/AUTHORS plugins/xmms/NEWS
%xmmsinputplugindir/libmp4.so

# --------------------------------------------------------------------

%changelog
* Tue Sep 20 2005 Milan Kerslager <kerslage@linux.cz> 2.0-0.ker.rhel4
- rebuild for RHEL4 (package from http://rpm.livna.org/fedora/4/i386/SRPMS.lvn)

* Wed Jun 15 2005 Ricahrd June <rjune[AT]bravegnuworld.com> - 0:2.0-0.lvn.5
- Included some hand install lines because make install did not place some required header files

* Wed Apr 27 2005 Dams <anvil[AT]livna.org> - 0:2.0-0.lvn.4
- Fixed gcc4 build

* Fri Nov 12 2004 Dams <anvil[AT]livna.org> 0:2.0-0.lvn.3
- Fixing gcc34 build

* Wed Oct 13 2004 Ville Skyttä <ville.skytta at iki.fi> - 0:2.0-0.lvn.2
- libsndfile is no longer required since 2.0rc1.

* Wed Mar 10 2004 Dams <anvil[AT]livna.org> 0:2.0-0.lvn.1
- Updated to 2.0 final release
- Added missing defattr
- Added xmms-aac provides to xmms-{name}
- Fixed makefile (patch)

* Sun Sep 28 2003 Dams <anvil[AT]livna.org> 0:2.0-0.fdr.0.1.rc1
- Updated to 2.0 rc1
- Added xmms-faad2 subpackage

* Sun Sep 28 2003 Dams <anvil[AT]livna.org> 0:1.1-0.fdr.4
- Added missing scriplets
- buildroot -> RPM_BUILD_ROOT

* Tue Apr 15 2003 Dams <anvil[AT]livna.org> 0:1.1-0.fdr.3
- turned bootstrap into ./bootstrap to prevent build to fail with
  people who dont have "." in their PATH.

* Sat Apr 12 2003 Dams <anvil[AT]livna.org> 0:1.1-0.fdr.2
- Typo in devel Requires.

* Sat Apr 12 2003 Dams <anvil[AT]livna.org> 
- Initial build.
